using System;
using System.Globalization;
using System.Windows;
using System.Windows.Data;

namespace MECF.Framework.UI.Core.Converters
{
	public class BoolVisibilityConverter : IValueConverter
	{
		public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
		{
            if (value is bool isVisible)
            {
                if (parameter is bool isReverse && isReverse)
                    isVisible = !isVisible;

                return isVisible ? Visibility.Visible : Visibility.Hidden;
            }

            return Visibility.Visible;
        }

		public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
		{
			throw new NotImplementedException();
		}
	}
}
